classification
Title: unittest.mock has wrong heading levels
Type: behavior Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, georg.brandl, michael.foord, pitrou, python-dev
Priority: normal Keywords:

Created on 2013-02-02 23:31 by pitrou, last changed 2013-02-22 02:20 by chris.jerdonek. This issue is now closed.

Messages (11)
msg181231 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-02 23:31
If you look at http://docs.python.org/dev/library/development.html, you'll see the following outline (stripped for brevity):
     
26.4. unittest.mock — mock object library

    26.4.1. Quick Guide
    26.4.2. The Mock Class

26.5. The patchers

26.6. MagicMock and magic method support

26.7. Helpers

26.8. unittest.mock — getting started

26.9. Further Examples

26.10. 2to3 - Automated Python 2 to 3 code translation


Instead, it should be:

26.4. unittest.mock — mock object library

    26.4.1. Quick Guide
    26.4.2. The Mock Class
    26.4.3. The patchers
    26.4.4. MagicMock and magic method support
    26.4.5. Helpers

26.5. unittest.mock — getting started

    26.5.1. Further Examples

26.6. 2to3 - Automated Python 2 to 3 code translation


(I'm also not sure the reference document should come before the getting started document)
msg181257 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-03 10:47
New changeset 72aee7ee2299 by Georg Brandl in branch '3.3':
Closes #17109: fix heading levels in mock doc.
http://hg.python.org/cpython/rev/72aee7ee2299
msg181258 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-03 10:53
unittest.mock-examples.rst also needs fixing.
msg181265 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-03 12:59
New changeset 9040b3714207 by Georg Brandl in branch '3.3':
#17109: fix headings in mock example doc.
http://hg.python.org/cpython/rev/9040b3714207
msg181291 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-03 19:56
How does the "+" level relate to the convention described here?

http://docs.python.org/devguide/documenting.html#sections
msg181292 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-03 19:57
Never mind :)
msg181294 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-03 20:06
I see why I was confused.  The ~'s are different from -'s.  The tilde level isn't listed in our devguide conventions.
msg181296 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-03 20:19
> I see why I was confused.  The ~'s are different from -'s.  The tilde
> level isn't listed in our devguide conventions.

I think the conventions are just conventions, and docutils / sphinx
don't enforce any order. I may be wrong though.
msg181302 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-02-03 21:56
Antoine is right.  It's probably ok to remove that suggestion completely.
msg181303 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-03 22:05
I think the guidance is still helpful.  I have referred to it often.  It can just be changed to being a suggestion as opposed to "the convention that we use."
msg182622 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-22 02:20
> It can just be changed to being a suggestion as opposed to "the convention that we use."

I created issue 17270 for this.
History
Date User Action Args
2013-02-22 02:20:37chris.jerdoneksetmessages: + msg182622
2013-02-03 22:05:56chris.jerdoneksetmessages: + msg181303
2013-02-03 21:56:52georg.brandlsetnosy: + georg.brandl
messages: + msg181302
2013-02-03 20:19:16pitrousetmessages: + msg181296
2013-02-03 20:06:26chris.jerdoneksetmessages: + msg181294
2013-02-03 19:57:25chris.jerdoneksetmessages: + msg181292
2013-02-03 19:56:40chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg181291
2013-02-03 12:59:28python-devsetmessages: + msg181265
2013-02-03 10:53:17pitrousetmessages: + msg181258
2013-02-03 10:47:34python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg181257

resolution: fixed
stage: needs patch -> resolved
2013-02-03 04:36:25ezio.melottisetnosy: + ezio.melotti
2013-02-02 23:31:56pitroucreate